package domain

type AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku struct {
	/*
	   限购信息     */
	LimitInfo *AlibabaWdkMarketingBuygiftItemAddAsyncLimitInfo `json:"limit_info,omitempty" `

	/*
	   商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   买赠门槛数量     */
	BuyNum *int64 `json:"buy_num,omitempty" `

	/*
	   赠品的skuCode     */
	GiftSkuCode *string `json:"gift_sku_code,omitempty" `
}

func (s *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetLimitInfo(v AlibabaWdkMarketingBuygiftItemAddAsyncLimitInfo) *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetSkuCode(v string) *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetBuyNum(v int64) *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.BuyNum = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetGiftSkuCode(v string) *AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.GiftSkuCode = &v
	return s
}
